C# bindings for libiio: iio.Trigger Class Reference

C# bindings for libiio 1.0 C# bindings for libIIO

Loading...
Searching...
No Matches
Public Member Functions | List of all members
iio.Trigger Class Reference

iio.Trigger class: Contains the representation of an IIO device that can act as a trigger. More...

Inheritance diagram for iio.Trigger:
[legend]
Collaboration diagram for iio.Trigger:
[legend]

## Public Member Functions
void | set_rate (ulong rate)
| Configure a new frequency for this trigger.
ulong | get_rate ()
| Get the currently configured frequency of this trigger.
new void | set_trigger (Trigger trig)
| Set Trigger.
new Trigger | get_trigger ()
| Get trigger.
Public Member Functions inherited from iio.Device
Channel | get_channel (string name, bool output=false)
| Get the iio.Channel object of the specified name.
void | set_trigger (Trigger trig)
| Affect a trigger to this device.
Trigger | get_trigger ()
| Get the current trigger affected to this device.
uint | get_sample_size (ChannelsMask mask)
| Get the current sample size of the device.
void | reg_write (uint addr, uint value)
| Set a value to one register of this device.
uint | reg_read (uint addr)
| Read the content of a register of this device.

## Additional Inherited Members
Public Attributes inherited from iio.Device
readonly Context | ctx
| Gets the context of the current device.
readonly string | id
| An identifier of this device.
readonly string | name
| The name of this device.
readonly List< Attr > | attrs
| A `list` of all the attributes that this device has.
readonly List< Attr > | debug_attrs
| A `list` of all the debug attributes that this device has.
readonly List< Channel > | channels
| A `list` of all the iio.Channel objects that this device possesses.
readonly List< IOBuffer > | buffers
| A `list` of all the iio.IOBuffer objects that this device possesses.
Properties inherited from iio.Device
string | label`[get]`
| The label of this device.
bool | hwmon`[get]`
| True if the device is a hardware monitoring device, False if it is a IIO device.

## Detailed Description

iio.Trigger class: Contains the representation of an IIO device that can act as a trigger.

Examples
  ExampleProgram.cs.

## Member Function Documentation

## ◆ get_rate()

ulong iio.Trigger.get_rate | ( |  | ) |
| inline

Get the currently configured frequency of this trigger.

Exceptions

  IioLib.IIOException | The configured frequency could not be obtained.

Here is the call graph for this function:

## ◆ set_rate()

void iio.Trigger.set_rate | ( | ulong | rate | ) |
| inline

Configure a new frequency for this trigger.

Exceptions

  IioLib.IIOException | The new frequency could not be set.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- Trigger.cs